             ͻ
               SeedMaster Distribution Permission/Documentation  
               Copyright (C) 1988, White Harvest Software, Inc.  
             ͼ

This file contains the following sections:

	* Restricted Permission to Copy/Distribute
	* The DISTRIB.EXE Program
	* MAKING a Copy of Seedmaster
	* INSTALLING a Copy of SeedMaster
	* Technical Notes


RESTRICTED PERMISSION TO COPY/DISTRIBUTE:
     The SeedMaster programs, databases (*), documentation, and helps
     are not in the public domain.  White Harvest Software, Inc., 
     the copyright holder, allows the software and databases to be 
     copied and distributed under the following conditions:
     
     1. The KJV SeedMaster files may be copied and distributed to
	others for no cost, or for a nominal charge to cover 
	duplication and diskette costs.  Printed materials, such 
	as the documentation manual, may not be copied or 
	distributed without express, written permission from 
	White Harvest Software, Inc.
     2.	The programs, databases, documentation, or helps may not 
	be modified for any reason without express, written 
	permission from White Harvest Software, Inc.
     3. All diskette files are to be distributed together.  
	These include:
	KJV.DAT			DISTRIB.EXE		REGISTER.DOC
	VERSES.KJV		DISTRIB.MAN		HELP.1
	WORDS.KJV		LHARC.EXE		HELP.2
	WORDSNDX.KJV		LHARC.DOC		HELP.NDX
	SM.EXE			GENINSTR.DOC		
	CLEANCOM.EXE		REG_FORM.DOC
     4. The programs, databases, or documentation may not be
	sold as a part of a larger package.

    (*) The King James Bible is not copyrighted, but the database
	encryption and format is proprietary and may not be modified.

     Note:
	Only the KJV version of SeedMaster can be copied and given to
	others.  Other Bible versions, specifically the NIV and any 
	others that run under SeedMaster, are copyrighted works and
	MAY NOT BE DISTRIBUTED UNDER ANY CIRCUMSTANCES.  These Bible
	databases are licensed for your exclusive use on one computer
	(see the license accompanying the non-KJV database for more
	information).

THE DISTRIB.EXE PROGRAM:
     The DISTRIB.EXE program performs two tasks.  It MAKES copies of
     SeedMaster, and INSTALLS those copies.  If you start DISTRIB 
     from a hard disk, it assumes you intend to MAKE a copy of 
     SeedMaster.  If you start DISTRIB from a floppy disk (the 
     program is on disk number 1), it assumes you intend to INSTALL 
     SeedMaster.

     If you wish to MAKE a copy, set your DOS "default" Drive\Directory 
     to SeedMaster's Drive\Directory.  For most people, this can be 
     done at the DOS "C>" prompt by typing: CD\SM <Enter>
                 
     If you wish to INSTALL a copy, put diskette number 1 in the floppy
     drive and set your DOS "default" Drive to your floppy drive.  For
     most people, this can be done at any DOS prompt by:   A: <Enter>
     
     Two SeedMaster files, VERSES.KJV and KJV.DAT are too large to fit
     on most diskettes.  DISTRIB breaks up these files on a MAKE and 
     reconstructs them on an INSTALL.  
     
     The broken up files on the floppies are made "read-only".  The 
     DOS command:         ATTRIB -R A:*.* <Enter>
     should remove the "read-only" status so you can use the diskettes
     for some other purpose.  In the mean time, no one can easily mess 
     with these critical files on the diskettes.
     
     The sections that follow explain the general process that DISTRIB
     follows for a MAKE and INSTALL, and describes potential errors
     and solutions.
     
     Note:  
     It is almost impossible to prepare for all the possible errors 
     someone could commit in using DISTRIB.  We have tried to trap the 
     most common or obvious.  The vast majority of people should have 
     no difficulty MAKING or INSTALLING SeedMaster copies.  This will 
     be of no consolation to those of you that manage to come up with 
     something we didn't conceive of.  If you encounter difficulties, 
     we would suggest the following (in order):
	1.  Read the technical notes section of this file.
	2.  Get the most PC-savvy person you can find and request 
	    their assistance.
	3.  Write us.  Do your best to describe the problem,
	    consider sending printouts of screens, directory 
	    listings of the diskettes, etc.:

		White Harvest Software, Inc.
		Dept: HELP!
		POB 97153
		Raleigh, NC 27624-7153


MAKING A COPY OF SEEDMASTER:
     Set your default Drive\Directory to the hard disk Drive\Directory
     containing the SeedMaster.  Type:  DISTRIB  <Enter>
     
     DISTRIB performs the following tasks:
     1.  Verifies that all required files exist.
     2.  Asks which floppy drive you wish to use.  For most people, the 
         default "A" will work.
     3.  Tells you how many EMPTY, FORMATTED diskettes you will need:

          9 - 5.25" DSDD Diskettes (360K each)              OR
          3 - 5.25" High Capacity Diskettes (1.2 Meg each)  OR
          5 - 3.5"  DSDD Diskettes (720K each)              OR
          3 - 3.5"  High Capacity Diskettes (1.44 Meg each)

     4.  Compresses/Copies files to floppies.
          
     In general, if you have enough FORMATTED and EMPTY diskettes,
     and all the required SeedMaster files are present, you should have
     no problems with MAKE.  Make sure you number the disks in order.


INSTALLING A COPY OF SEEDMASTER:
     Put diskette number 1 in the floppy drive, set the DOS "default"
     drive to the floppy drive, (for most people, this is done at
     any DOS prompt by typing: A: <Enter>) and type:  DISTRIB <Enter>
     
     DISTRIB performs the following tasks:
     1.  Verifies the computer has a hard disk.
     2.  Gives you a chance to override the standard Drive\Directory
         name - C:\SM.  Unless you know what you're doing and have 
         good reason to, we suggest that you NOT change the standard
         name.  If you choose to override it, note that DISTRIB does NOT 
         verify that you entered a non-floppy drive specification.  
         DON'T do it, hard disk drives only, please.
     3.  Creates the directory.  If it already exists, you are
         warned that files in that directory might be overwritten.
     4.  Verifies that the hard disk has sufficient free space for 
         SeedMaster (4.5 megabytes).
     5.  Copies\Uncompresses files to the specified directory.
             
     In general, if you created the diskettes properly with MAKE, the 
     diskettes have not been damamged, you have room on your hard disk, 
     and the floppies are fed to DISTRIB in their proper order, you 
     should have no problems with INSTALL.


TECHNICAL NOTES:
     FILE LAYOUT:
	Files are copied to the disk in the following order:
		DISTRIB.EXE
		DISTRIB.MAN
		LHARC.EXE
		KJV.LZH
		VERSES.KJV
		MISC.LZH

     COMPRESSED FILES
	The files KJV.LZH and MISC.LZH are not normal SeedMaster files. 
	They are compressed files created by the LHARC.EXE program. 
	KJV.LZH is the compressed version of KJV.DAT. MISC.LZH contains
	the following files:
		WORDS.KJV		WORDSNDX.KJV
		SM.EXE			CLEANCOM.EXE
		LHARC.DOC		GENINSTR.DOC
		REG_FORM.DOC		REGISTER.DOC
		HELP.1			HELP.2
		HELP.NDX

	Compression by LHARC
	LHARC is a program designed to compress files to their smallest 
	possible size. Because LHARC is so efficient, it can take several
	minutes to compress or uncompress a large file such as KJV.DAT.
	The LHARC documentation manual, LHARC.MAN, has been included so
	you can use LHARC for other purposes.

     FILE BREAKUP PROCEDURE
	The files KJV.LZH and VERSES.KJV are too large to fit on most 
	single floppies. Therefore, DISTRIB breaks up these files into 
	chunks consisting of as many multiples of 60,000 bytes as will
	fit on each diskette. Each chunk retains its initial filename,
	and the file extension is numbered from .1 - as in VERSES.1. 
	The last chunk created is given the proper file name - as in
	VERSES.KJV. 

     FILE CONCATENATION PROCEDURE
	As the files are installed, DISTRIB finishes a file when it 
	fails to find the next sequential filename extension AND it 
	finds the proper filename extension on the same disk.

	Note:
	It is unlikely, but possible that someone might put in a 
	diskette out of order, AND that diskette have the proper 
	extension. This will result in an abbreviated and inoperable
	file. VERSES.KJV should have a length of about 1.2 megabytes,
	and KJV.DAT should be about 2.3 megabytes.

     INSTALLING THE HARD WAY
	If something goes wrong in the installation, it IS possible
	to install SeedMaster by hand.

	The Simple Files
	The following files can be simply copied into the SeedMaster 
	directory of your hard disk:

		DISTRIB.EXE
		DISTRIB.MAN
		LHARC.EXE
		MISC.LZH

	The Large Files, KJV.LZH and VERSES.KJV
	We will show a batch file, but you can issue the following 
	commands manually to install each of the large SeedMaster files. 
	We will use VERSES.KJV for our example.

	1. Find out which broken files must be pieced together. We'll 
	   assume we found the following VERSES files:

	VERSES.1	VERSES.2	VERSES.3	VERSES.KJV

	2. Construct your batch file after this pattern (in the 
	   SeedMaster directory of your hard disk):

		echo off
		echo Place VERSES.1 in drive A and
		pause
		copy a:VERSES.1/b VERSES.KJV/b
		echo Place VERSES.2 in drive A and
		pause
		copy VERSES.KJV/b+a:VERSES.2/b 
		echo Place VERSES.3 in drive A and
		pause
		copy VERSES.KJV/b+a:VERSES.3/b 
		echo Place VERSES.KJV in drive A and
		pause
		copy VERSES.KJV/b+a:VERSES.KJV/b
		echo All Done!

	Uncompressing KJV.LZH and MISC.LZH
	To uncompress the .LZH files, enter:

		LHARC e KJV.LZH
		LHARC e MISC.LZH

	Note:
	The lower case "e" must be entered in lowercase.

	You may then delete the LZH files.

	Note that the emergency procedures outlined above are 
	inefficient in terms of intermediate disk space usage. Any 
	space lost will be regained after the system is completely 
	installed, and the LZH files are deleted.